function plot_results(inputs, legend_names, output_name)
    % inputs is a cell array of size (1, numPlots)
    % each element of the array is of size (numEpisodes, numRepeats)

    % Extract dimensions
    [~, numPlots] = size(inputs);
    [numEpisodes, ~] = size(inputs{1});

    % Calculate means
    means(numPlots,numEpisodes) = 0;
    for i=1:numPlots
        vec = inputs{i};
        means(i,:) = transpose(mean(vec,2));
    end

    % Plot
    figure;
    hold on;

    xaxis = 1:numEpisodes;
    for i=1:numPlots
        plot(xaxis,means(i,:),'LineWidth',2.0);
    end

    xlabel('Episodes');
    ylabel('Episode Reward');
    
    p = gca;
    set(p,'XLim',[0,150])
    set(p,'XTick',0:10:150);
%     set(p,'YLim',[0,12]);
%     set(p,'YTick',0:2:12);
    hold on;
    legend(legend_names,'Location','best');
    
    % Save plot
    saveas(gca, output_name);
end